Page MenuHomeVyOS Platform

vyos-build scripts/build-packages builds vyos-1x with version 0.0-no.git.tag
Closed, WontfixPublic

Description

vyos_bld@88b64b8b1352:/vyos$ scripts/build-packages -k -vv -p -b vyos-1x
Using vyos-build repository ('/vyos') commit '2cb6f390d7bd'

2020-05-23 14:07:58,898 vyos-1x Keep possibly modified package '/vyos/packages/vyos-1x'
2020-05-23 14:07:58,919 vyos-1x Executing 'dpkg-buildpackage -uc -us -tc -b -j4'
2020-05-23 14:07:59,526 vyos-1x dpkg-buildpackage: info: source package vyos-1x
2020-05-23 14:07:59,526 vyos-1x  fakeroot debian/rules clean
2020-05-23 14:07:59,526 vyos-1x dpkg-buildpackage: info: source version 1.0.0
2020-05-23 14:07:59,827 vyos-1x dpkg-buildpackage: info: source distribution unstable
2020-05-23 14:08:00,127 vyos-1x dpkg-buildpackage: info: source changed by Runar Borge <runar@borge.nu>
2020-05-23 14:08:00,127 vyos-1x No patch removed
2020-05-23 14:08:00,128 vyos-1x dpkg-buildpackage: info: host architecture amd64
2020-05-23 14:08:00,128 vyos-1x  debian/rules build
2020-05-23 14:08:15,747 vyos-1x dpkg-deb: building package 'vyos-1x-vmware' in '../vyos-1x-vmware_0.0-no.git.tag_amd64.deb'.
2020-05-23 14:08:16,047 vyos-1x dpkg-deb: building package 'vyos-1x' in '../vyos-1x_0.0-no.git.tag_all.deb'.
2020-05-23 14:08:18,751 vyos-1x dpkg-buildpackage: info: binary-only upload (no source included)
2020-05-23 14:08:18,752 vyos-1x
 
vyos_bld@88b64b8b1352:/vyos$ ls packages/vyos-1x_0.0-no.git.tag_all.deb 
packages/vyos-1x_0.0-no.git.tag_all.deb

Possibly related to T2267.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Behavior change

Event Timeline

jjakob created this task.May 23 2020, 2:15 PM
jjakob created this object in space S1 VyOS Public.
c-po added a subscriber: c-po.May 30 2020, 12:57 PM

I think I drop the script as it was considered as a PoC but its heavily unmaintained

I believe it was git pull —tags which fixed it for me ..

@c-po IMO the script should be kept but fixed so it builds all valid packages. Otherwise there's no way to build our own packages with one command. Sure we can build them one by one by manually cloning each repository, but that's automated by this script. There's a task I already opened for it.

Can the tagging be automated so we can just run dpkg-buildpackage?

c-po added a comment.EditedMay 30 2020, 2:23 PM

Well I do no longer maintain it so it‘s defacto dead. It only served as poc, I rather use some bash aliases now to build my packages and rely on the deb mirror.

If you want to maintain it - fix it to your likings - no more objections, its free for adoption.

pasik added a subscriber: pasik.May 31 2020, 8:48 PM
c-po closed this task as Wontfix.Aug 3 2020, 8:20 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mon, Nov 23, 5:19 PM